org.apache.tomcat.util.http.fileupload

## Class FileUploadBase.InvalidContentTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tomcat.util.http.fileupload.FileUploadException
      - - org.apache.tomcat.util.http.fileupload.FileUploadBase.InvalidContentTypeException

All Implemented Interfaces:
  Serializable

Enclosing class:
  FileUploadBase

    public static class FileUploadBase.InvalidContentTypeException
    extends FileUploadException

Thrown to indicate that the request is not a multipart request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileUploadBase.InvalidContentTypeException()` Constructs a `InvalidContentTypeException` with no detail message.
`FileUploadBase.InvalidContentTypeException(String message)` Constructs an `InvalidContentTypeException` with the specified detail message.
`FileUploadBase.InvalidContentTypeException(String msg, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileUploadBase.InvalidContentTypeException

    public FileUploadBase.InvalidContentTypeException()

Constructs a `InvalidContentTypeException` with no detail message.

#### FileUploadBase.InvalidContentTypeException

    public FileUploadBase.InvalidContentTypeException(String message)

Constructs an `InvalidContentTypeException` with the specified detail message.

Parameters:
  `message` - The detail message.

#### FileUploadBase.InvalidContentTypeException

    public FileUploadBase.InvalidContentTypeException(String msg,
                                              Throwable cause)